package com.sxtvs.open.api.odata.controller;

import com.sxtvs.open.api.odata.dto.wx.HospitalDTO;
import com.sxtvs.open.api.odata.entity.WxgzhArticle;
import com.sxtvs.open.api.odata.service.impl.WxgzhArticleServiceImpl;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2024-03-14
 */
@RestController
@RequestMapping("/wx")
public class WxgzhArticleController {

    @Resource
    private WxgzhArticleServiceImpl wxgzhArticleService;

    @PostMapping("hospital")
    public List<WxgzhArticle> hospitalArticleList(@RequestBody HospitalDTO hospitalDTO) {
        return wxgzhArticleService.hospitalArticleList(hospitalDTO.getStart(), hospitalDTO.getEnd().plusDays(1));
    }
}
