package com.sxtvs.open.api.chat.controller;

import com.sxtvs.open.api.chat.entity.KimiChatGroup;
import com.sxtvs.open.api.chat.service.impl.KimiChatGroupServiceImpl;
import com.sxtvs.open.core.auth.LoginRequired;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2024-03-25
 */
@RestController
@RequestMapping("/chat/group")
public class KimiChatGroupController {

    @Resource
    private KimiChatGroupServiceImpl  kimiChatGroupService;

    @PostMapping("/create")
    @LoginRequired
    public KimiChatGroup create(@RequestBody KimiChatGroup kimiChatGroup) {
        return kimiChatGroupService.create(kimiChatGroup.getTitle());
    }
}
